<mat-card>
    <mat-card-title>
        <h2>Gestione cantiere</h2>
        <mat-icon routerLinkActive="list-item-active" routerLink="/default/addworksite"
            style="cursor: pointer; transform: scale(2); float: right;margin-right: 10px; margin-top: -35px; color: #e2c231;background-color: black; border-radius: 50%; ">
            add_circle</mat-icon>
    </mat-card-title>
    <mat-card-content>

        <mat-form-field>
            <mat-label>Filter</mat-label>
            <input matInput placeholder="Filtra" (keyup)="applyFilter2($event)">
        </mat-form-field>
        <div>
            <table mat-table [dataSource]="dataSource2" matSort>

                <ng-container matColumnDef="idWorksite">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>ID CANTIERE</th>
                    <td mat-cell *matCellDef="let row">{{row.idWorksite}}</td>
                </ng-container>

                <ng-container matColumnDef="serialNumber">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>NUMERO SERIALE</th>
                    <td mat-cell *matCellDef="let row">{{row.serialNumber}}</td>
                </ng-container>

                <ng-container matColumnDef="token">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>TOKEN</th>
                    <td mat-cell *matCellDef="let row">{{row.token}}</td>
                </ng-container>
                <ng-container matColumnDef="type">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>TIPO</th>
                    <td mat-cell *matCellDef="let row">{{row.type}}</td>
                </ng-container>
                <ng-container matColumnDef="city">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>CITTÀ</th>
                    <td mat-cell *matCellDef="let row">{{row.city}}</td>
                </ng-container>
                <ng-container matColumnDef="provincia">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>PROVINCIA</th>
                    <td mat-cell *matCellDef="let row">{{row.provincia}}</td>
                </ng-container>

                <ng-container matColumnDef="via">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>VIA</th>
                    <td mat-cell *matCellDef="let row">{{row.via}}</td>
                </ng-container>

                <ng-container matColumnDef="civico">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>CIVICO</th>
                    <td mat-cell *matCellDef="let row">{{row.civico}}</td>
                </ng-container>
                <ng-container matColumnDef="date">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>DATE</th>
                    <td mat-cell *matCellDef="let row">{{row.date}}</td>
                </ng-container>

                <ng-container matColumnDef="actions">
                    <th mat-header-cell *matHeaderCellDef mat-sort-header>ACTIONS</th>
                    <td mat-cell *matCellDef="let row">
                        <button mat-icon-button [matMenuTriggerFor]="menu" aria-label="Example icon-button with a menu">
                            <mat-icon>more_vert</mat-icon>
                        </button>
                        <mat-menu #menu="matMenu">
                            <button mat-menu-item routerLinkActive="list-item-active" routerLink="/default/modifyUsers">
                                <mat-icon>edit</mat-icon>
                                <span>Edit</span>
                            </button>

                            <button mat-menu-item routerLinkActive="list-item-active"
                                routerLink="/default/assignlicord">
                                <mat-icon>add</mat-icon>
                                <span>Aggiungi licord</span>
                            </button>

                            <button mat-menu-item (click)="fileInput.click()">
                                <mat-icon>cloud_upload</mat-icon>
                                <span>Carica documentazione</span>
                                <input type="file" #fileInput (change)="onFileInput(fileInput.files)"
                                    style="display:none;" />
                            </button>

                            <button mat-menu-item>
                                <mat-icon>delete</mat-icon>
                                <span>Cancella</span>
                            </button>

                        </mat-menu>

                    </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="columns2"></tr>
                <tr mat-row *matRowDef="let row; columns: columns2;"></tr>

            </table>

            <mat-paginator [length]="worksite.length" [pageSize]="5" [pageSizeOptions]="[1, 5, 10, 25, 100]"
                aria-label="Select page">
            </mat-paginator>
        </div>

    </mat-card-content>
</mat-card>